package com.red.circle.other.app.service.user.user;


import com.red.circle.other.app.dto.cmd.user.user.UserLogoutApplyCmd;
import com.red.circle.other.app.dto.cmd.user.user.UserLogoutLogCmd;

/**
 * @author zongpubin on 2023/9/12
 */
public interface UserLogoutLogService {

  /**
   * 新增注销记录.
   */
  void addLogoutLog(UserLogoutLogCmd cmd);

  /**
   * 查询注销记录.
   */
  Boolean getLogoutLog(UserLogoutLogCmd cmd);

  /**
   * 新增注销记录-web.
   */
  void addLogoutApply(UserLogoutApplyCmd cmd);
}
